<template>
  <view class="container">
    <u-sticky offsetTop="8rpx" customNavHeight="8rpx">
      <view class="search-view">
        <u--input v-model="queryParams.name" border="false" placeholder="请输入期货账户名称" class="search-input"
          @blur="searchBlur" suffixIcon="search" suffixIconStyle="color: #909399">
        </u--input>
          <u-icon name="plus-circle-fill" color="#666666" size="28" style="margin-left:10px" label="新增"
          labelPos="left" labelSize="32rpx" labelColor="#666666" @click="handleAdd()"></u-icon>
      </view>
    </u-sticky>
    <u-list @scrolltolower="loadmore" :spaceHeight="116" lowerThreshold="100">
      <u-list-item v-for="(item, index) in listData" :key="index">
        <view class="list-item">
          <view class="item-header" @click="enterDetails(item)">
            <u--text suffixIcon="arrow-right" lines="1" iconStyle="font-size: 18px; color: #333333; font-weight:bold"
              :text="item.name+'-'+item.code " size="30rpx" color="#333333" :bold="true"></u--text>
          </view>
         
          <view class="item-row">
            <text class="row-label">期货交易中心账号：</text>
            <text class="row-value">{{ item.tradingCenterCode }}</text>
          </view>
          <view class="item-row">
            <text class="row-label">手续费：</text>
            <text class="row-value">{{ item.commission }}</text>
          </view>
          <view class="item-row">
            <text class="row-label">保证金比例：</text>
            <text class="row-value">{{ item.bond}}</text>
          </view>
          <view class="item-row">
            <text class="row-label">关联储蓄卡：</text>
            <text class="row-value">{{ item.bankNameCode }}</text>
          </view>
          <view class="item-row">
            <text class="row-label">开户日期：</text>
            <text class="row-value">{{ item.activationDate}}</text>
          </view>
          <view class="item-row">
            <text class="row-label">备注：</text>
            <text class="row-value">{{ item.remark}}</text>
          </view>
          <view class="operate" >
            <!-- <view class="btn filling" @click="enterDetails(item)">查看</view > -->
               <view class="btn filling" @click="handleEdit(item)">修改</view>
            <view class="btn filling" @click="handleDelete(item)">删除</view>
          </view>
        </view>
      </u-list-item>
      <view>
      </view>
      <u-loadmore :status="status" loadingIcon="semicircle" height="88" fontSize="32rpx" @loadmore="loadmore" />
    </u-list>
    <u-picker itemHeight="88" :show="settingPickShow" :columns="settingColumns" keyName="settingName"
      @confirm="settingConfirm" @cancel="settingCancel"></u-picker>
  </view>
</template>

<script setup>
import { listFutureStocks, delFutureStocks} from '@/api/invest/futureStocks'
import {onLoad,onShow} from "@dcloudio/uni-app";
    // 计算属性与监听属性是在vue中而非uniap中 需要注意！！！
import {reactive ,toRefs,ref,computed }from "vue";
const pageNum = ref(1)
const listData = ref([])
const isShow = ref(false)
const status = ref('loadmore')
const settingPickShow = ref(false)
const settingColumns = ref([])
const data = reactive({
  queryParams: {
    name: null,
    type: '1'
   } 
})
const { queryParams} = toRefs(data)
const windowHeight = computed(() => {
			uni.getSystemInfoSync().windowHeight - 50
		})	
onLoad(() => {
    getList()
  });

 onShow(() => {
    if (isShow.value) {
      getList()
      isShow.value = false
    }
  });

function loadmore() {
      pageNum.value += 1
      if (status.value == 'loadmore') {
        getList()
      }
    }
function getList() {
      status.value = 'loading'
      listFutureStocks({ pageSize: 10, pageNum: pageNum.value, ...queryParams.value }).then(res => {
        listData.value = listData.value.concat(res.rows)
        if (listData.value.length < res.total) {
          status.value = 'loadmore'
        } else {
          status.value = 'nomore'
        }
      }).catch(() => {
        status.value = 'nomore'
      })
    }
function settingConfirm(e) {
      queryParams.value.settingId = e.value[0].settingId
      queryParams.value.settingName = e.value[0].settingName
      settingPickShow.value = false
    }
function settingCancel() {
      settingPickShow.value = false
    }
function dictStr(val, arr) {
      let str = ''
      arr.map(item => {
        if (item.dictValue === val) {
          str = item.dictLabel
        }
      })
      return str
    }
    function searchBlur() {
      pageNum.value = 1
      listData.value = []
      getList()
    }
    function resetQuery() {
        queryParams.value.name = '',
        queryParams.value.type = '1'
      posTypeList.value.map(ele => {
        Reflect.set(ele, 'selected', false)
      })
    }
    function enterDetails(item) {
      uni.navigateTo({ url: `/pages/work/base/futures/details?id=${item.id}` })
    }
    function handleEdit(item) {
      uni.navigateTo({ url: `/pages/work/base/futures/addEdit?id=${item.id}` })
      isShow.value = true
    }
    function handleAdd() {
      uni.navigateTo({ url: `/pages/work/base/futures/addEdit` })
      isShow.value = true
    }
    function handleDelete(item) {
      uni.showModal({
        	title: '提示',
        	content: '你确定要删除吗',
        	success: function (res) {
        		if (res.confirm) {
        		  delFutureStocks(item.id)
              uni.navigateTo({ url: `/pages/work/base/futures/list` })
        		} else if (res.cancel) {
        			console.log('取消');
        		}
        	}
        });
    }
	
</script>

<style lang="scss" scoped>
.btnAdd {
      width: 146rpx;
      height: 56rpx;
      line-height: 56rpx;
      border-radius: 8rpx;
      display:float;
      text-align: center;
    }

.search-view {
  padding: 12rpx 32rpx;
  background-color: #ffffff;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  margin-bottom: 24rpx;

  .search-input {
    background: #F5F5F5;
    color: #333333;
    margin-right: 36rpx;
  }

  .filter-panel {
    width: 100%;
    position: absolute;
    left: 0;
    top: 96rpx;
    background-color: rgba(0, 0, 0, 0.5);

    .filter-panel-content {
      background-color: #ffff;
      padding: 0 30rpx 30rpx;

      .filter-title {
        color: #000000;
        font-size: 30rpx;
        font-weight: 500;
        padding: 30rpx 0;
      }

      .state-list {
        display: flex;
        flex-wrap: wrap;
        justify-content: flex-start;

        .state-item {
          width: 210rpx;
          height: 72rpx;
          border: 1rpx solid rgba(0, 0, 0, 0.25);
          border-radius: 72rpx;
          text-align: center;
          line-height: 72rpx;
          margin: 0 20rpx 20rpx 0;
          font-size: 28rpx;
          color: #000000;
        }

        .active {
          background-color: rgba(222, 241, 255, 1);
          border: 1rpx solid rgba(22, 119, 255, 1);
        }
      }
    }

    .btn-box {
      display: flex;
      padding: 24rpx 30rpx;
      background-color: #fff;
      box-shadow: 0rpx -10rpx 20rpx #EEEEEE;
    }
  }
}

.list-item {
  margin: 0 24rpx 24rpx;
  padding: 32rpx;
  background-color: #fff;

  .item-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 16rpx;

    .status {
      .status-item {
        width: 120rpx;
        height: 44rpx;
        text-align: center;
        line-height: 44rpx;
        border-radius: 4rpx;
        font-size: 24rpx;
      }

      .status1 {
        background: #F0F0F0;
        color: #8C8C8C;
      }

      .status2 {
        background: rgba(38, 129, 255, 0.2);
        color: #2681FF;
      }

      .status3 {
        background: #F7F7F7;
        color: #2681FF;
      }

      .status4 {
        background: rgba(255, 85, 51, 0.2);
        color: #FF5533;
      }

      .status5 {
        background: #F7F7F7;
        color: rgba(0, 0, 0, 0.85);
      }

      .status7 {
        background: rgba(255, 129, 51, 0.2);
        color: #FF8133;
      }

      .status8 {
        background: rgba(65, 217, 165, 0.2);
        color: #41D9A5;
      }
    }
  }

  .item-row {
    padding: 16rpx 0;

    .row-label {
      color: rgba(0, 0, 0, 0.55);
    }

    .row-value {
      color: rgba(0, 0, 0, 0.85)
    }
  }

  .operate {
    display: flex;
    justify-content: flex-end;

    .btn {
      width: 146rpx;
      height: 56rpx;
      line-height: 56rpx;
      border-radius: 8rpx;
      margin-left: 5rpx;
      text-align: center;
    }

    .circulation {
      background: rgba(0, 0, 0, 0.04);
      margin-right: 24rpx;
      color: rgba(0, 0, 0, 0.85);
    }

    .filling {
      background: #2681FF;
      border-radius: 8rpx;
      color: #FFFFFF;
    }
  }
}
</style>